global ALPHA0;
global XP0;
global BETA0;
global DELTA0;
global YP0;
global HOME_EPSILON;
global FAZ;
global FBZ;
global P;
global OPTIONS;
global SOLVER;
global FUNC;
global X_ABS_TOL;
global Y_ABS_TOL;
global REL_TOL;
global EPSILON;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%								%
% 			IVP parameters 				%
%								%
% P  		period of the forcing function			%
% FUNC 		function that defines the ode			%
% ALPHA0 	initial guess for x(0)				% 
% BETA0 	initial guess for x'(0)				%
%								%	
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

P= 10*pi/3; 
FUNC=@g;
ALPHA0=1;
BETA0=0;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%								%
% 		ODE Solver parameters	 			%
%								%
% SOLVER 	ode solver to be used				% 
% X_ABS_TOL  	absolute tolerance of the solver for x		%
% Y_ABS_TOL  	absolute tolerance of the solver for x'		%
% REL_TOL  	relative tolerance of the solver 		%
% OPTIONS  	options to be sent to the solver 		%
%								%	
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

SOLVER=@ode45;
X_ABS_TOL=1e-5;
Y_ABS_TOL=1e-5;
REL_TOL=1e-5;
OPTIONS= odeset('RelTol',REL_TOL,'AbsTol',[X_ABS_TOL Y_ABS_TOL]);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%								%
% 		homotopy path parameters			%
%								%
% HOME_EPSILON	how close to the path are we to stay		% 
% EPSILON	how close to delta=1 should we be?		%
%								%	
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

HOME_EPSILON=1/10^15;
EPSILON=1/10^7;
